Bug 87493

Summary: [Shadow DOM] ComposedShadowTreeWalker assumes a shadowRoot is always assigned to an insertion point.
Product: WebKit Reporter: Hayato Ito <hayato>
Component: DOMAssignee: Hayato Ito <hayato>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, dominicc, morrita, shinyak, tasak, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 78585, 87924    
Attachments:
Description Flags
support an orphaned shadow subtree none

Description Hayato Ito 2012-05-25 05:16:05 PDT
ComposedShadowTreeWalker assumes a shadowRoot is always assigned to an insertion point.
In most use cases, this assumption is correct since ComposedShadowTreeWalker traverses nodes which are rendered.

But there is an exception. One is event dispatching. A node in a orphaned shadow root can receive events, such as 'click' event.
So ComposedShadowTreeWalker must handle such cases.
Comment 1 Hayato Ito 2012-05-30 21:11:38 PDT
Created attachment 144981 [details]
support an orphaned shadow subtree
Comment 2 WebKit Review Bot 2012-05-31 00:55:47 PDT
Comment on attachment 144981 [details]
support an orphaned shadow subtree

Clearing flags on attachment: 144981

Committed r119069: <http://trac.webkit.org/changeset/119069>
Comment 3 WebKit Review Bot 2012-05-31 00:55:52 PDT
All reviewed patches have been landed.  Closing bug.